using System;
using System.Net.WebSockets;

internal sealed class Delegate697 : MulticastDelegate
{
	public extern ClientWebSocketOptions Invoke(object object_0);

	public static ClientWebSocketOptions smethod_0(object object_0, Delegate697 delegate697_1)
	{
		return delegate697_1(object_0);
	}

	public extern Delegate697(object object_0, IntPtr intptr_0);

	static Delegate697()
	{
		Class10.smethod_13(typeof(Delegate697).TypeHandle);
	}

	internal static Delegate697 delegate697_0;
}
